# Interface IVariableResolver

public interface IVariableResolver
A variable resolver can be used to add additional variable resolving strategies to an `EvaluationContext`.

Since:
  3.0
See Also:
  - `EvaluationContext.resolveVariable(String, Object[])`

## Method Summary

Modifier and Type
Method
Description
`Object`
`resolve(String name, Object[] args)`
Resolves a variable for the given name and arguments.

## Method Details

### resolve

Object resolve(String name, Object[] args) throws CoreException
Resolves a variable for the given name and arguments. The handler is allowed to return `null` to indicate that it is not able to resolve the requested variable.

Parameters:
  `name` - the variable to resolve
  `args` - an object array of arguments used to resolve the variable
Returns:
  the variable's value or `null` if no variable could be resolved
Throws:
  `CoreException` - if an errors occurs while resolving the variable